Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.getcapabilities
Class WCSCapabilityOperations

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OperationsMetadata
          org.deegree.ogcwebservices.wcs.getcapabilities.WCSCapabilityOperations

All Implemented Interfaces:
  Serializable

    public class WCSCapabilityOperations

extends OperationsMetadata

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.ogcwebservices.getcapabilities.OperationsMetadata
`constraints, GET_CAPABILITIES_NAME, getCapabilitiesOperation, parameters`

Constructor Summary
`WCSCapabilityOperations(Operation capabilitiesOperations, Operation describeCoverageOperation, Operation getCoverageOperation)`

Method Summary
`Operation` | `getDescribeCoverageOperation()`
`Operation` | `getGetCoverageOperation()`
`void` | `setDescribeCoverageOperation(Operation describeCoverageOperation)`
`void` | `setGetCoverageOperation(Operation getCoverageOperation)`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OperationsMetadata
`addConstraint, addParameter, getConstraints, getGetCapabilitiesOperation, getOperations, getParameter, removeParameter, setConstraints, setGetCapabilitiesOperation, setOperationParameter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WCSCapabilityOperations

    public WCSCapabilityOperations(Operation capabilitiesOperations,
                                   Operation describeCoverageOperation,
                                   Operation getCoverageOperation)

Parameters:
  `capabilitiesOperations` -
  `describeCoverageOperation` -
  `getCoverageOperation` -

Method Detail

### getDescribeCoverageOperation

    public Operation getDescribeCoverageOperation()

  Returns:
    Returns the describeCoverageOperation.

### setDescribeCoverageOperation

    public void setDescribeCoverageOperation(Operation describeCoverageOperation)

  Parameters:
    `describeCoverageOperation` - The describeCoverageOperation to set.

### getGetCoverageOperation

    public Operation getGetCoverageOperation()

  Returns:
    Returns the getCoverageOperation.

### setGetCoverageOperation

    public void setGetCoverageOperation(Operation getCoverageOperation)

  Parameters:
    `getCoverageOperation` - The getCoverageOperation to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org